Bug 1252159 - [abrt] midori: gtk_tree_model_get_valist(): midori killed by SIGSEGV
[abrt] midori: gtk_tree_model_get_valist(): midori killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:309ea8c214c2b3e557b1c1077d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 16:38 EDT by pixelwitch
Modified: 2016-07-19 13:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.49 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: core_backtrace (7.95 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: dso_list (17.62 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: environ (1.47 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: maps (102.58 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: mountinfo (2.96 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: open_fds (4.45 KB, text/plain)
2015-08-10 16:38 EDT, pixelwitch
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-08-10 16:39 EDT, pixelwitch
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-08-10 16:39 EDT, pixelwitch
no flags Details

  None (edit)
Description pixelwitch 2015-08-10 16:38:44 EDT
Description of problem:
Whenever adding an adblocker list via clicking a link beginning with "abp:" with the settings of the adblocker extension open the browser crashes.

Version-Release number of selected component:
midori-0.5.10-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/midori
global_pid:     1741
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
screencast-1.ogv: 
screencast.ogv: 
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1470
 #1 gtk_tree_model_get at gtktreemodel.c:1432
 #2 __lambda4_ at /usr/src/debug/midori-0.5.10/extensions/adblock/widgets.vala:166
 #3 ___lambda4__gtk_cell_layout_data_func at /usr/src/debug/midori-0.5.10/extensions/adblock/widgets.vala:164
 #4 gtk_tree_view_column_cell_set_cell_data at gtktreeviewcolumn.c:2593
 #5 gtk_tree_view_bin_expose at gtktreeview.c:4506
 #6 gtk_tree_view_expose at gtktreeview.c:5080
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_send_expose at gtkwidget.c:4846

Potential duplicate: bug 1160002
Comment 1 pixelwitch 2015-08-10 16:38:48 EDT
Created attachment 1061238 [details]
File: backtrace
Comment 2 pixelwitch 2015-08-10 16:38:49 EDT
Created attachment 1061239 [details]
File: cgroup
Comment 3 pixelwitch 2015-08-10 16:38:50 EDT
Created attachment 1061240 [details]
File: core_backtrace
Comment 4 pixelwitch 2015-08-10 16:38:52 EDT
Created attachment 1061241 [details]
File: dso_list
Comment 5 pixelwitch 2015-08-10 16:38:53 EDT
Created attachment 1061242 [details]
File: environ
Comment 6 pixelwitch 2015-08-10 16:38:54 EDT
Created attachment 1061243 [details]
File: limits
Comment 7 pixelwitch 2015-08-10 16:38:55 EDT
Created attachment 1061244 [details]
File: maps
Comment 8 pixelwitch 2015-08-10 16:38:57 EDT
Created attachment 1061245 [details]
File: mountinfo
Comment 9 pixelwitch 2015-08-10 16:38:58 EDT
Created attachment 1061246 [details]
File: namespaces
Comment 10 pixelwitch 2015-08-10 16:38:59 EDT
Created attachment 1061247 [details]
File: open_fds
Comment 11 pixelwitch 2015-08-10 16:39:00 EDT
Created attachment 1061248 [details]
File: proc_pid_status
Comment 12 pixelwitch 2015-08-10 16:39:01 EDT
Created attachment 1061249 [details]
File: var_log_messages
Comment 13 Kevin Fenzi 2015-08-18 12:26:17 EDT
I'm pretty sure it's expecting http/https there, but of course it shouldn't crash. ;( 

Would you be willing to report this upstream? Or would you like me to do so?
Comment 14 Fedora End Of Life 2016-07-19 13:27:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.